<?php
    if (defined('RETINA_CREATED') === false)
        die('no direct access');
	
	define("CUSTOM_TITLE_LEN", "60");	
	define("CUSTOM_DESC_LEN", "80");	
	define("CUSTOM_LINK_LEN", "150");	
?>
<div class="wrap">
   <a name="retina"></a>
   <h2><?php _e('RetinaPost settings', 'retinapost'); ?></h2>
   
   <p><?php _e('RetinaPost is one of the most visually appealing and user-friendly CAPTCHA alternative out there. It is an effective way to deliver informations to your community online.', 'retinapost'); ?></p>
   
   
   <?php if ($this->keys_missing()) { ?>
	   <?php if ($this->retina_enabled()) /*show error*/ { ?>
		<h3 style="color:#ffC050"><?php _e('Retina API Keys are empty', 'retinapost'); ?></h3>
	   <?php } ?>
	<form id="keys_get_form" target="_blank" id="retina_get_key" action="<?php echo $this->RetinaPost->get_signup_url(parse_url(get_site_url(),PHP_URL_HOST), 'wordpress', get_bloginfo('admin_email'), 'true');?>" method="post"	onsubmit="show_keys_fields()">	
		<br/><br/>
		<b><?php _e('Get a private key in your email', 'retinapost'); ?></b>&nbsp;&nbsp;
		<input type="submit" class="button-primary" value="<?php _e(' Get key (one copy-paste) ', 'retinapost'); ?>"/>&nbsp;&nbsp;
		<br/>
		<span onclick="show_keys_fields()" style="cursor:pointer;font-size:12px"><?php _e('click here if you have keys', 'retinapost'); ?></span>
		<br/><br/><br/>
	</form>
   <?php } ?>
   
   <form method="post" action="options.php">
	<?php settings_fields('retinapost_options_group'); ?>
    <h3 id="keys_title"><?php _e('Your site keys', 'retinapost'); ?></h3>
	
	<div id="keys_public" style="padding-down:10px">
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Public Key', 'retinapost'); ?></div>
		<input type="text" id="retinapost_options[public_key]" name="retinapost_options[public_key]" size="60" value="<?php echo	!empty($this->options['public_key'])?$this->options['public_key']:parse_url(get_site_url(),PHP_URL_HOST) ?>"/>
	</div>     
	<div id="keys_private" style="padding-down:10px">
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Private Key', 'retinapost'); ?></div>
		<input type="text" name="retinapost_options[private_key]" size="60" value="<?php echo $this->options['private_key']; ?>" />
	</div>     

	<p id="keys_submit" class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
    <hr size="2" style="margin:25px; text-align:left; width:75%;"/>
	  
   <?php if ($this->keys_missing()) { ?>
   <script type="text/javascript">
		function hide_keys_fields()
		{
			document.getElementById('keys_title').style.display='none'; 
			document.getElementById('keys_public').style.display='none';
			document.getElementById('keys_private').style.display='none';
			document.getElementById('keys_submit').style.display='none';
		}	
		function show_keys_fields()
		{
			document.getElementById('keys_title').style.display='block'; 
			document.getElementById('keys_public').style.display='block';
			document.getElementById('keys_private').style.display='block';
			document.getElementById('keys_submit').style.display='block';
			document.getElementById('keys_get_form').style.display='none';
		}	
		hide_keys_fields();
   </script>
   <?php } ?>
	  
	<h3><?php _e('Comment Options', 'retinapost'); ?></h3>
	<div>
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Activation', 'retinapost'); ?></div>
        <input type="checkbox" name="retinapost_options[show_in_comments]" value="1" <?php checked(1, $this->options['show_in_comments']); ?> />
        <label for="retinapost_options[show_in_comments]"><?php _e('Enable for comments form', 'retinapost'); ?></label>
	</div>
	
    <div>
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Target', 'retinapost'); ?></div>
        <input type="checkbox" id="retinapost_options[bypass_for_registered_users]" name="retinapost_options[bypass_for_registered_users]" value="1" <?php checked( 1, $this->options['bypass_for_registered_users'] ); ?> />
        <label for="retinapost_options[bypass_for_registered_users]"><?php _e('Hide for Registered Users who can', 'retinapost'); ?></label>
               <?php $this->capabilities_dropdown(); ?>
	</div>

	<div>
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;" />
	</div>
	
	<div>
		<div style="width:200px;display:inline-block;padding: 5px;">
			<?php if ($this->options['show_in_comments'] && empty($this->options['type_c'])) /*show error*/ {?>
				<span style="color:#ffC050"><b><?php _e('Select one option: ', 'retinapost'); ?></b></span>
			<?php } else { ?>
				<b><?php _e('For comment form use: ', 'retinapost'); ?></b>
			<?php } ?>
		</div>
		<div id="buttons_c" style="display:none">
			<input type="button" id="button_feed_c" value="<?php _e(' Feeds(RSS) ', 'retinapost'); ?>" onclick="show_comment_feed()"/>&nbsp;&nbsp;<?php _e('-or-', 'retinapost'); ?>&nbsp;&nbsp;<input type="button" id="button_text_c"  value="<?php _e('   Text   ', 'retinapost'); ?>" onclick="show_comment_text()"/> 		
		</div>
		<input type="text" name="retinapost_options[type_c]" id="type_c" title="Type 'feed' or 'text'" value="<?php echo $this->options['type_c']; ?>" />
	</div>
	<br/>
    <div id="comment_feed_link">
		<?php if ( $this->options['show_in_comments'] && $this->options['type_c']=='feed' && empty($this->options['feed_URL_c']))  /*show error*/{ ?>
		<div style="font-size:11px;color:#ffC050"><?php _e('Provide a Feed URL', 'retinapost'); ?></div>
		<?php } ?>	
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Feed URL ', 'retinapost'); ?></div>
	    <input type="text" name="retinapost_options[feed_URL_c]" size="55" value="<?php echo $this->options['feed_URL_c']; ?>" />
		<br/><div style="width:200px;display:inline-block;padding: 5px;"></div><small><?php _e('You might use: site feed', 'retinapost');?> <code><? echo get_bloginfo('rss2_url');?></code></small>
	    <br/><div style="width:200px;display:inline-block;padding: 5px;"></div><small><?php _e('or comments feed', 'retinapost');?> <code><?php echo get_bloginfo('comments_rss2_url'); ?></code></small>
	</div>
	
    <div id="comment_feed_limit">
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Show last', 'retinapost'); ?></div>
		<input type="text" align="right" name="retinapost_options[feed_limit_c]" size="2" maxlength="2" value="<?php echo $this->options['feed_limit_c']; ?>" /> <?php _e(' feed(s)', 'retinapost'); ?> 
	</div>
	 
	<div id="comment_text_title">
		<?php if ( $this->options['show_in_comments'] && $this->options['type_c']=='text' && empty($this->options['custom_title_c']))  /*show error*/{ ?>
		<div style="font-size:11px;color:#ffC050"><?php _e('Provide a simple text as title', 'retinapost'); ?></div>
		<?php } ?>	
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Title', 'retinapost'); ?></div>
        <input type="text" name="retinapost_options[custom_title_c]" 		size="60" maxlength="<?php echo CUSTOM_TITLE_LEN; ?>" value="<?php echo $this->options['custom_title_c']; ?>" />	<small><?php echo CUSTOM_TITLE_LEN; _e(' max characters','retinapost');?></small>
    </div>		 
	
	<div id="comment_text_description">
		<?php if ( $this->options['show_in_comments'] && $this->options['type_c']=='text' && empty($this->options['custom_description_c']))  /*show error*/{ ?>
		<div style="font-size:11px;color:#ffC050"><?php _e('Provide a simple text as description', 'retinapost'); ?></div>
		<?php } ?>
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Description', 'retinapost'); ?></div>
        <input type="text" name="retinapost_options[custom_description_c]" 	size="60" maxlength="<?php echo CUSTOM_DESC_LEN; ?>"  value="<?php echo $this->options['custom_description_c']; ?>" /> <small><?php echo CUSTOM_DESC_LEN; _e(' max characters','retinapost');?></small>
	</div>
	
	<div id="comment_text_link">
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Link', 'retinapost'); ?></div>
	    <input type="text" name="retinapost_options[custom_link_c]" 		size="60" maxlength="<?php echo CUSTOM_LINK_LEN; ?>"  value="<?php echo $this->options['custom_link_c']; ?>" />		<small><?php echo CUSTOM_LINK_LEN; _e(' max characters','retinapost');?></small>
	</div>
 
	<div style="display:none">
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;"/>
    </div>

	<div valign="top" style="display:none">
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Tab Index', 'retinapost'); ?></div>
        <input type="text" name="retinapost_options[comments_tab_index]" size="10" value="<?php echo $this->options['comments_tab_index']; ?>" />
	</div>
	
	<p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>	  
	  
   <script type="text/javascript">
		document.getElementById('comment_feed_link').style.display='none';
		document.getElementById('comment_feed_limit').style.display='none';
		document.getElementById('comment_text_title').style.display='none';
		document.getElementById('comment_text_description').style.display='none';
		document.getElementById('comment_text_link').style.display='none';
				
		document.getElementById('buttons_c').style.display='inline-block';
		document.getElementById('type_c').style.display='none';
		  
		function show_comment_feed()
		{
			document.getElementById('comment_feed_link').style.display='block'; 
			document.getElementById('comment_feed_limit').style.display='block'; 
			document.getElementById('comment_text_title').style.display='none'; 
			document.getElementById('comment_text_description').style.display='none'; 
			document.getElementById('comment_text_link').style.display='none'; 
			
			document.getElementById('button_feed_c').style.borderColor='#50C000'; 
			document.getElementById('button_text_c').style.borderColor=''; 
			document.getElementById('type_c').value='feed'; 
		}	
		function show_comment_text()
		{
			document.getElementById('comment_text_title').style.display='block';
			document.getElementById('comment_text_description').style.display='block';
			document.getElementById('comment_text_link').style.display='block';
			document.getElementById('comment_feed_link').style.display='none';
			document.getElementById('comment_feed_limit').style.display='none';
			
			document.getElementById('button_text_c').style.borderColor='#50C000'; 
			document.getElementById('button_feed_c').style.borderColor='';			
			document.getElementById('type_c').value='text';
		}	
		
		<?php if($this->options['type_c']=='feed') { ?>
			show_comment_feed();
		<?php } else if ($this->options['type_c']=='text') { ?>
			show_comment_text();
		<?php } ?>
		
   </script>		  
    <hr size="2" style="margin:25px; text-align:left; width:75%;"/>
	  
    <h3><?php _e('Registration Options', 'retinapost'); ?></h3>
	<div>
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Activation', 'retinapost'); ?></div>
        <input type="checkbox" name="retinapost_options[show_in_registration]" value="1" <?php checked(1, $this->options['show_in_registration']); ?> />
        <label for="retinapost_options[show_in_registration]"><?php _e('Enable for registration form', 'retinapost'); ?></label>
	</div>
	<div>
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;" />
	</div>
	
	<div>
		<div style="width:200px;display:inline-block;padding: 5px;">
			<?php if ($this->options['show_in_registration'] && empty($this->options['type_r'])) /*show error*/ {?>
				<span style="color:#ffC050"><b><?php _e('Select one option: ', 'retinapost'); ?></b></span>
			<?php } else { ?>
				<b><?php _e('For register form use: ', 'retinapost'); ?></b>
			<?php } ?>
		</div>
		<div id="buttons_r" style="display:none">
			<input type="button" id="button_feed_r" value="<?php _e(' Feeds(RSS) ', 'retinapost'); ?>" onclick="show_register_feed()"/>&nbsp;&nbsp;<?php _e('-or-', 'retinapost'); ?>&nbsp;&nbsp;<input type="button" id="button_text_r" value="<?php _e('   Text   ', 'retinapost'); ?>" onclick="show_register_text()"/> 		
		</div>
		<input type="text" name="retinapost_options[type_r]" id="type_r" title="Type 'feed' or 'text'" value="<?php echo $this->options['type_r']; ?>"/>
	</div>
	<br/>
    <div id="register_feed_link">
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Feed URL ', 'retinapost'); ?></div>
	    <input type="text" name="retinapost_options[feed_URL_r]" size="55" value="<?php echo $this->options['feed_URL_r']; ?>" />
		<br/><div style="width:200px;display:inline-block;padding: 5px;"></div><small><?php _e('You might use: site feed', 'retinapost');?> <code><? echo get_bloginfo('rss2_url');?></code></small>
	    <br/><div style="width:200px;display:inline-block;padding: 5px;"></div><small><?php _e('or comments feed', 'retinapost');?> <code><?php echo get_bloginfo('comments_rss2_url'); ?></code></small>
	</div>
	
    <div id="register_feed_limit">
		 <?php if ( $this->options['show_in_registration'] && $this->options['type_r']=='feed' && empty($this->options['feed_URL_r']))  /*show error*/{ ?>
		<div style="font-size:11px;color:#ffC050"><?php _e('Provide a Feed(RSS) URL', 'retinapost'); ?></div>
		<?php } ?>		
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Show last', 'retinapost'); ?></div>
		<input type="text" align="right" name="retinapost_options[feed_limit_r]" size="2" maxlength="2" value="<?php echo $this->options['feed_limit_r']; ?>" /> <?php _e(' feed(s)', 'retinapost'); ?> 
	</div>
	 
	<div id="register_text_title">
		<?php if ( $this->options['show_in_registration'] && $this->options['type_r']=='text' && empty($this->options['custom_title_r']))  /*show error*/{ ?>
		<div style="font-size:11px;color:#ffC050"><?php _e('Provide a simple text as title', 'retinapost'); ?></div>
		<?php } ?>
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Title', 'retinapost'); ?></div>
        <input type="text" name="retinapost_options[custom_title_r]" 		size="60" maxlength="<?php echo CUSTOM_TITLE_LEN; ?>" value="<?php echo $this->options['custom_title_r']; ?>" />	<small><?php echo CUSTOM_TITLE_LEN; _e(' max characters','retinapost');?> </small>
    </div>		 
	
	<div id="register_text_description">
		<?php if ( $this->options['show_in_registration'] && $this->options['type_r']=='text' && empty($this->options['custom_description_r']))  /*show error*/{ ?>
		<div style="font-size:11px;color:#ffC050"><?php _e('Provide a simple text as description', 'retinapost'); ?></div>
		<?php } ?>
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Description', 'retinapost'); ?></div>
        <input type="text" name="retinapost_options[custom_description_r]" 	size="60" maxlength="<?php echo CUSTOM_DESC_LEN; ?>"  value="<?php echo $this->options['custom_description_r']; ?>" /> <small><?php echo CUSTOM_DESC_LEN; _e(' max characters','retinapost');?></small>
	</div>
	
	<div id="register_text_link">
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Link', 'retinapost'); ?></div>
	    <input type="text" name="retinapost_options[custom_link_r]" 		size="60" maxlength="<?php echo CUSTOM_LINK_LEN; ?>"  value="<?php echo $this->options['custom_link_r']; ?>" />		<small><?php echo CUSTOM_LINK_LEN; _e(' max characters','retinapost');?></small>
	</div>
 
	<div style="display:none">
		<hr size="1" style="margin:25px;margin-left: 250px; text-align: left; width: 25%;"/>
    </div>

	<div valign="top" style="display:none">
        <div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Tab Index', 'retinapost'); ?></div>
        <input type="text" name="retinapost_options[registration_tab_index]" size="10" value="<?php echo $this->options['registration_tab_index']; ?>" />
	</div>
 
   	<p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
	<script type="text/javascript">
		document.getElementById('register_feed_link').style.display='none';
		document.getElementById('register_feed_limit').style.display='none';
		document.getElementById('register_text_title').style.display='none';
		document.getElementById('register_text_description').style.display='none';
		document.getElementById('register_text_link').style.display='none';
	
		document.getElementById('buttons_r').style.display='inline-block';
		document.getElementById('type_r').style.display='none';
   
		function show_register_feed()
		{
			document.getElementById('register_feed_link').style.display='block'; 
			document.getElementById('register_feed_limit').style.display='block'; 
			document.getElementById('register_text_title').style.display='none'; 
			document.getElementById('register_text_description').style.display='none'; 
			document.getElementById('register_text_link').style.display='none'; 

			document.getElementById('button_feed_r').style.borderColor='#50C000'; 
			document.getElementById('button_text_r').style.borderColor=''; 			
			document.getElementById('type_r').value='feed'; 
		}	
		function show_register_text()
		{
			document.getElementById('register_text_title').style.display='block';
			document.getElementById('register_text_description').style.display='block';
			document.getElementById('register_text_link').style.display='block';
			document.getElementById('register_feed_link').style.display='none';
			document.getElementById('register_feed_limit').style.display='none';

			document.getElementById('button_text_r').style.borderColor='#50C000'; 
			document.getElementById('button_feed_r').style.borderColor=''; 			
			document.getElementById('type_r').value='text';
		}

		<?php if($this->options['type_r']=='feed') { ?>
			show_register_feed();
		<?php } else if ($this->options['type_r']=='text') { ?>
			show_register_text();
		<?php } ?>		
		
   </script>		  
    <hr size="2" style="margin:25px; text-align:left; width:75%;"/>
	  
    <h3><?php _e('General Options', 'retinapost'); ?></h3>
    
	<div>
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Call to action', 'retinapost'); ?></div>
		<input type="text" name="retinapost_options[call_to_action]" size="60" value="<?php echo $this->options['call_to_action']; ?>" />
	</div>		
	<div>
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Incorrect message', 'retinapost'); ?></div>
		<input type="text" name="retinapost_options[incorrect_response_error]" size="60" value="<?php echo $this->options['incorrect_response_error']; ?>" />
	</div>
	<div>
		<div style="width:200px;display:inline-block;padding: 5px;"><?php _e('Standards Compliance', 'retinapost'); ?></div>
		<input type="checkbox" id ="retinapost_options[xhtml_compliance]" name="retinapost_options[xhtml_compliance]" value="1" <?php checked(1, $this->options['xhtml_compliance']); ?> />
        <label for="retinapost_options[xhtml_compliance]"><?php _e('Produce XHTML 1.0 Strict Compliant Code', 'retinapost'); ?></label>
	</div>
    
	<p class="submit"><input type="submit" class="button-primary" title="<?php _e('Save RetinaPost options') ?>" value="<?php _e('Save RetinaPost changes') ?> &raquo;" /></p>
   </form>
   
   <?php do_settings_sections('retinapost_options_page'); ?>
</div>